> For the complete documentation index, see [llms.txt](https://docs.bluestorm.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluestorm.io/checks/microflow/mf_0001.md).

# Incorrect date format

<table><thead><tr><th width="138">Check ID</th><th>MF_0001</th></tr></thead><tbody><tr><td>Category</td><td>Quality</td></tr><tr><td>Summary</td><td>Mendix uses <a href="https://docs.mendix.com/refguide/parse-and-format-date-function-calls/">letter patterns</a> for formatting date strings. The letters used when configuring these patterns can be confusing. This can lead to dates that are incorrectly formatted. This check looks for common mistakes made when configuring date formats.</td></tr><tr><td>Options</td><td>This check does not have any options.</td></tr><tr><td>Pass</td><td>Date format expressions in your microflow do not contain any common mistakes.</td></tr><tr><td>Fail</td><td><p>Date format expressions in your microflow contain common mistakes such as (all examples below show FAIL conditions):<br><br><strong>Day of year should not be used in parse/format date time functions</strong><br><code>parseDateTime('2015-05-21', 'yyyy-MM-DD')</code><br><br><strong>Hour format should be specified correctly in parse/format date-time functions</strong><br><code>parseDateTime('13:37', 'hh:mm')</code><br><br><strong>MM and mm tokens should be used correctly in parse/format date-time functions</strong><br><code>parseDateTime('2015-05-21', 'yyyy-mm-dd')</code></p><p><code>parseDateTime('13:37', 'HH:MM')</code><br><br><strong>Seconds token should be specified correctly in parse/format date-time functions</strong><br><code>parseDateTime('13:37:01', 'HH:mm:SS')</code><br><br><strong>Week year should not be used in date formatting or parsing</strong><br><code>parseDateTime($Var, 'YYYY')</code><br><br><strong>AM/PM indicator should only be used in combination with lowercase “h”</strong><br><code>formatDateTime($DateTime, 'H:mm a')</code><br></p></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bluestorm.io/checks/microflow/mf_0001.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
